Bug 545847 - substrate crashes on occasion
Summary: substrate crashes on occasion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d650a1bca7875d203ef9e734a27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 13:52 UTC by Tethys
Modified: 2009-12-11 18:26 UTC (History)
1 user (show)

Fixed In Version: 5.10-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:24:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.30 KB, text/plain)
2009-12-09 13:52 UTC, Tethys
no flags Details

Description Tethys 2009-12-09 13:52:30 UTC
abrt 1.0.0 detected a crash.

Comment: No idea what happened here. I didn't even notice it crash, but since it's a SEGV, I thought it worth reporting.
Attached file: backtrace
cmdline: /usr/libexec/xscreensaver/substrate -root -circle-percent 33
component: xscreensaver
executable: /usr/libexec/xscreensaver/substrate
kernel: 2.6.31.5-127.fc12.i686.PAE
package: xscreensaver-extras-1:5.10-2.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Tethys 2009-12-09 13:52:35 UTC
Created attachment 377195 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2009-12-09 16:59:27 UTC
Thank you for report, this is actually a bug
in substrate.c (at least).

Comment 3 Mamoru TASAKA 2009-12-10 16:40:26 UTC
Perhaps fixed in 5.10-3.

Comment 4 Fedora Update System 2009-12-10 18:47:37 UTC
xscreensaver-5.10-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xscreensaver-5.10-4.fc10

Comment 5 Fedora Update System 2009-12-10 18:48:13 UTC
xscreensaver-5.10-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xscreensaver-5.10-4.fc11

Comment 6 Fedora Update System 2009-12-10 18:48:59 UTC
xscreensaver-5.10-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xscreensaver-5.10-4.fc12

Comment 7 Fedora Update System 2009-12-11 18:15:08 UTC
xscreensaver-5.10-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-12-11 18:24:45 UTC
xscreensaver-5.10-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-12-11 18:26:52 UTC
xscreensaver-5.10-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.